import java.util.ArrayList;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class tmp3 {
    public static void main(String[] args) {
        String input = "(tag1 > 0 && tag2 <2)||(tag3==4)||(tag4==\"hello\")";
        System.out.println(getMapScript(input));

    }

    /**
     * 解析 "(tag1 > 0 && tag2 <2)||(tag3==4)"
     * 输出：(map.get("tag1")> 0 &&  map.get("tag2")<2)|| (map.get("tag3")==4)
     *
     * @param input 输入
     * @return {@link String}
     */
    private static String getMapScript(String input) {
        String pattern = "\\b(\\w+)\\s*(?=[><=])"; // 匹配任意英文字母组成的字符串，且其后面紧跟 >、<、= 运算符

        Pattern regex = Pattern.compile(pattern);
        Matcher matcher = regex.matcher(input);

        StringBuffer output = new StringBuffer();
        while (matcher.find()) {
            String tag = matcher.group(1);
            matcher.appendReplacement(output, "map.get(\"" + tag + "\")");
        }
        matcher.appendTail(output);

        String result = output.toString();
        return result;
    }



}
